Subject: Re: [PATCH] Makefile: remove accidental recipe prefix in conditional

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 14 Feb 2025 05:55:54 +0100

On Thu, Feb 13, 2025 at 03:25:50PM -0500, Taylor Blau wrote:
> Back in 728b9ac0c3 (Makefile(s): avoid recipe prefix in conditional
> statements, 2024-04-08), we prepared our Makefiles for a forthcoming
> change in upstream Make that would ban the recipe prefix within a
> conditional statement by replacing tabs (the prefix) with eight spaces.
> 
> In b9d6f64393 (compat/zlib: allow use of zlib-ng as backend,
> 2025-01-28), a handful of recipe prefix characters were introduced in a
> conditional statement ('ifdef ZLIB_NG'), causing 'make' to fail on my
> system, which uses GNU Make 4.4.90.
> 
> Remove the recipe prefix characters by replacing them with the same
> script as is mentioned in 728b9ac0c3.

Oh, that's a change I wasn't aware of in Make. The patch looks obviously
good to me in that context, thanks for fixing!

Patrick